/* Sistemas Integrados TEKNISA
Nome: 0102_SDXTRGO_SDX_EXCLUI_NF_DEVOLUCAO.sql

@C:\Web_509\Sql\End_Conv\Oracle\Clientes\Sdx\0102_SDXTRGO_SDX_EXCLUI_NF_DEVOLUCAO.sql

Descrio:
Rotina para excluso das notas fiscais de devoluo ao cliente

Criao:
30/09/2009 - Cleison Rafael da Silva Ferreira
*/


CREATE OR REPLACE TRIGGER SDX_EXCLUI_NF_DEVOLUCAO
AFTER DELETE
ON NOTAFISCAL FOR EACH ROW
DECLARE
   V_IMPORTACAO     DATE;
   V_CDNOTAFISCORIG VARCHAR2(20);
BEGIN
   IF (:OLD.IDENTRSAIDOP = 'S') AND (:OLD.CDTIPOOPER = '06') THEN
      BEGIN
         SELECT DTIMPORTACAO, CDNOTAFISCORIG
           INTO V_IMPORTACAO, V_CDNOTAFISCORIG
           FROM SDX_CONTROLEINT
          WHERE CDNOTAFISCORIG = :OLD.CDFILIAL||:OLD.NRLANCTONF
            AND IDINSCANCNF = '1';
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_IMPORTACAO := NULL;
            V_CDNOTAFISCORIG := NULL;
      END;
      IF (V_CDNOTAFISCORIG IS NOT NULL) THEN
         IF (V_IMPORTACAO IS NULL) THEN
            DELETE FROM SDX_ITEMENCARGO
             WHERE CDNOTAFISCORIG = :OLD.CDFILIAL||:OLD.NRLANCTONF;
            DELETE FROM SDX_ITEMPRODUTO
             WHERE CDNOTAFISCORIG = :OLD.CDFILIAL||:OLD.NRLANCTONF;
            DELETE FROM SDX_AFRELACNF
             WHERE CDNOTAFISCORIG = :OLD.CDFILIAL||:OLD.NRLANCTONF;
            DELETE FROM SDX_NOTAFISCAL
             WHERE CDNOTAFISCORIG = :OLD.CDFILIAL||:OLD.NRLANCTONF;
            DELETE FROM SDX_CONTROLEINT
             WHERE CDNOTAFISCORIG = :OLD.CDFILIAL||:OLD.NRLANCTONF;
         ELSE
            INSERT INTO SDX_CONTROLEINT
               (CDNOTAFISCORIG, DTEXPORTACAO, DTIMPORTACAO, DSOBSERVERROS, IDINSCANCNF)
            VALUES
               (V_CDNOTAFISCORIG, SYSDATE, NULL, NULL, '2');
         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('SDX_EXCLUI_NF_DEVOLUCAO','5.09.000'); END;
/